/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-07-06
 * 描述            ：产品收发存表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Cm.vo;
import java.io.Serializable;
import java.util.Date;

import market.Cm.mapper.CmReportProdIosMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Table;

@Table(name="CM_REPORT_PROD_IOS", namespace=CmReportProdIosMapper.class)
public class CmReportProdIos extends BaseVO implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 3554249516714317325L;
	/** 
	 * 成本对象编码
	 */ 
	@Column
	private String object_code;
	public String getObject_code() {
		return this.object_code;
	}
	public void setObject_code(String object_code) {
		this.object_code = object_code;
	}

	/** 
	 * 成本对象名称
	 */ 
	@Column
	private String object_name;
	public String getObject_name() {
		return this.object_name;
	}
	public void setObject_name(String object_name) {
		this.object_name = object_name;
	}

	/** 
	 * 成本组织编码
	 */ 
	@Column
	private String org_code;
	public String getOrg_code() {
		return this.org_code;
	}
	public void setOrg_code(String org_code) {
		this.org_code = org_code;
	}

	/** 
	 * 成本组织名称
	 */ 
	@Column
	private String org_name;
	public String getOrg_name() {
		return this.org_name;
	}
	public void setOrg_name(String org_name) {
		this.org_name = org_name;
	}

	/** 
	 * 成本期间
	 */ 
	@Column
	private String prd_num;
	public String getPrd_num() {
		return this.prd_num;
	}
	public void setPrd_num(String prd_num) {
		this.prd_num = prd_num;
	}

	/** 
	 * 产品类别(合金钢/弹簧钢)
	 */ 
	@Column
	private String item_name_type;
	public String getItem_name_type() {
		return this.item_name_type;
	}
	public void setItem_name_type(String item_name_type) {
		this.item_name_type = item_name_type;
	}

	/** 
	 * 业务模式(A自制，B委托)
	 */ 
	@Column
	private String order_model;
	public String getOrder_model() {
		return this.order_model;
	}
	public void setOrder_model(String order_model) {
		this.order_model = order_model;
	}
	
	/**
	 * 产品状态(A产成品，B中间品，C在制品)
	 */
	@Column
	private String prod_state;
	public String getProd_state() {
		return prod_state;
	}
	public void setProd_state(String prod_state) {
		this.prod_state = prod_state;
	}

	/** 
	 * 期初数量
	 */ 
	@Column
	private Double start_wgt;
	public Double getStart_wgt() {
		return this.start_wgt;
	}
	public void setStart_wgt(Double start_wgt) {
		this.start_wgt = start_wgt;
	}

	/** 
	 * 期初单价
	 */ 
	@Column
	private Double start_price;
	public Double getStart_price() {
		return this.start_price;
	}
	public void setStart_price(Double start_price) {
		this.start_price = start_price;
	}

	/** 
	 * 期初成本
	 */ 
	@Column
	private Double start_amount;
	public Double getStart_amount() {
		return this.start_amount;
	}
	public void setStart_amount(Double start_amount) {
		this.start_amount = start_amount;
	}

	/** 
	 * 本期入库数量
	 */ 
	@Column
	private Double input_wgt;
	public Double getInput_wgt() {
		return this.input_wgt;
	}
	public void setInput_wgt(Double input_wgt) {
		this.input_wgt = input_wgt;
	}

	/** 
	 * 本期入库单价
	 */ 
	@Column
	private Double input_price;
	public Double getInput_price() {
		return this.input_price;
	}
	public void setInput_price(Double input_price) {
		this.input_price = input_price;
	}

	/** 
	 * 本期入库成本
	 */ 
	@Column
	private Double input_amount;
	public Double getInput_amount() {
		return this.input_amount;
	}
	public void setInput_amount(Double input_amount) {
		this.input_amount = input_amount;
	}

	/** 
	 * 本期出库数量
	 */ 
	@Column
	private Double out_wgt;
	public Double getOut_wgt() {
		return this.out_wgt;
	}
	public void setOut_wgt(Double out_wgt) {
		this.out_wgt = out_wgt;
	}

	/** 
	 * 本期出库单价
	 */ 
	@Column
	private Double out_price;
	public Double getOut_price() {
		return this.out_price;
	}
	public void setOut_price(Double out_price) {
		this.out_price = out_price;
	}

	/** 
	 * 本期出库成本
	 */ 
	@Column
	private Double out_amount;
	public Double getOut_amount() {
		return this.out_amount;
	}
	public void setOut_amount(Double out_amount) {
		this.out_amount = out_amount;
	}

	/** 
	 * 期末数量
	 */ 
	@Column
	private Double end_wgt;
	public Double getEnd_wgt() {
		return this.end_wgt;
	}
	public void setEnd_wgt(Double end_wgt) {
		this.end_wgt = end_wgt;
	}

	/** 
	 * 期末单价
	 */ 
	@Column
	private Double end_price;
	public Double getEnd_price() {
		return this.end_price;
	}
	public void setEnd_price(Double end_price) {
		this.end_price = end_price;
	}

	/** 
	 * 期末成本
	 */ 
	@Column
	private Double end_amount;
	public Double getEnd_amount() {
		return this.end_amount;
	}
	public void setEnd_amount(Double end_amount) {
		this.end_amount = end_amount;
	}

	/** 
	 * 成本项目编码
	 */ 
	@Column
	private String item_code;
	public String getItem_code() {
		return this.item_code;
	}
	public void setItem_code(String item_code) {
		this.item_code = item_code;
	}

	/** 
	 * 成本项目名称
	 */ 
	@Column
	private String item_name;
	public String getItem_name() {
		return this.item_name;
	}
	public void setItem_name(String item_name) {
		this.item_name = item_name;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String memo;
	public String getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/** 
	 * 有效标识(1有效 0无效)
	 */ 
	@Column
	private String valid_flg;
	public String getValid_flg() {
		return this.valid_flg;
	}
	public void setValid_flg(String valid_flg) {
		this.valid_flg = valid_flg;
	}

	/** 
	 * 是否审核(1审核 0未审核)
	 */ 
	@Column
	private String audit_flg;
	public String getAudit_flg() {
		return this.audit_flg;
	}
	public void setAudit_flg(String audit_flg) {
		this.audit_flg = audit_flg;
	}

	/** 
	 * 审核人
	 */ 
	@Column
	private String audit_man;
	public String getAudit_man() {
		return this.audit_man;
	}
	public void setAudit_man(String audit_man) {
		this.audit_man = audit_man;
	}

	/** 
	 * 审核时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date audit_time;
	public Date getAudit_time() {
		return this.audit_time;
	}
	public void setAudit_time(Date audit_time) {
		this.audit_time = audit_time;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_man;
	public String getCreate_man() {
		return this.create_man;
	}
	public void setCreate_man(String create_man) {
		this.create_man = create_man;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_man;
	public String getUpdate_man() {
		return this.update_man;
	}
	public void setUpdate_man(String update_man) {
		this.update_man = update_man;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

}
